#!/usr/bin/env python

from evennia import CmdSet

from commands.command import Command

class CmdPet(Command):
    """
    Pet a 'friendly' pet.

    Usage:

      pet [ <creature> ]

    Just because you |wcan|n do this, doesn't mean the creature |wwants|n you to.
    """
    key = "pet"

    def func(self):
        """
        Implements the pet command.
        """
        self.obj.pet_response(self.caller)

class CmdPetSet(CmdSet):
    """
    Things associated with pets.
    """
    def at_cmdset_creation(self):
        self.add(CmdPet)
